const express = require('express');
const ParseServer = require('parse-server').ParseServer;
const path = require('path');

const api = new ParseServer({
  databaseURI: 'mongodb://localhost:27017/test',
  cloud: __dirname + '/cloud/main.js',
  serverURL: 'http://localhost:3000',
  appId: 'appid',
  masterKey: 'masterkey',
  verifyUserEmails: false,
  emailVerifyTokenValidityDuration: 2 * 60 * 60,
  preventLoginWithUnverifiedEmail: false,
  publicServerURL: 'http://localhost:3000',
  appName: 'test',
  accountLockout: {
    duration: 5,
    threshold: 3
  },
  passwordPolicy: {
    validatorPattern: /^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.{8,})/,
    doNotAllowUsername: true,
    maxPasswordAge: 90,
    maxPasswordHistory: 5,
    resetTokenValidityDuration: 24 * 60 * 60
  }
});

const app = express();

app.set('port', 3000);

app.use('/', api);

app.listen(app.get('port'), function() {
  console.log('API is running at http://localhost:%d in %s mode', app.get('port'), app.get('env'));
  console.log('  Press CTRL-C to stop\n');
});
